Mailinglist Archive: opensuse (1264 mails)

< Previous Next >
Re: [opensuse] multiple kernels?
On 06/12/2017 07:14 AM, George from the tribe wrote:
Is this a problem? I noticed this when I was running an update on my smaller
laptop:

-----------------------
# zypper up
Loading repository data...
Reading installed packages...

The following 4 package updates will NOT be installed:
audacity flac libFLAC++6 libFLAC8

The following 2 NEW packages are going to be installed:
kernel-devel-4.4.70-18.9.1 kernel-source-4.4.70-18.9.1
----------------------

I was thinking, I thought I had kernel 4.11 from the kernel:stable repo, as
that is what I have been using on this laptop. So, I ran this:

Is this a problem? - No.

Whether multiple versions of the kernel are kept are controlled by:

/etc/zypp/zypp.con
multiversion = provides:multiversion(kernel)

The number of kernels kept (for the reasons explained in the other posts) is
controlled by:

/etc/zypp/zypp.con
multiversion = provides:multiversion(kernel)

The config file provides about 20 lines of explanation regarding each. You can
probably set this through the gui sysconfig-editor, but I always prefer to
just do it by hand.

--
David C. Rankin, J.D.,P.E.

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups